## org.eclipse.emf.exporter.ui.contribution.base
Class ModelExporterDirectoryURIPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
                  org.eclipse.emf.converter.ui.contribution.base.ModelConverterURIPage
                      org.eclipse.emf.exporter.ui.contribution.base.ModelExporterDirectoryURIPage

All Implemented Interfaces:
  IModelExporterPage, IDialogPage, IMessageProvider, IWizardPage, Listener

    public class ModelExporterDirectoryURIPage

extends ModelConverterURIPage
implements IModelExporterPage

Since:
  2.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`ModelConverterPage.PageDiagnosticHandler`

Field Summary

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterURIPage
`browseFileSystemButton, browseWorkspaceButton, uriText`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`CAUSE_BACK, CAUSE_CANCEL, CAUSE_FINISH, CAUSE_NEXT, CAUSE_UNKNOWN, forwardDirection, handlingEvent, modelConverter, neverVisible, pageDiagnosticHandler`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ModelExporterDirectoryURIPage(ModelExporter modelExporter, java.lang.String pageName)`

Method Summary
`protected boolean` `browseFileSystem()`
`protected boolean` `browseWorkspace()`
`ModelExporter` `getModelExporter()`
`protected java.lang.String` `getURITextInitialValue()`
`protected java.lang.String` `getURITextLabel()`
`boolean` `isPageComplete()`
`protected void` `setDirectory(java.lang.String directory, boolean platformURI)`
`protected void` `uriTextModified(java.lang.String text)`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterURIPage
`addControl, addURIControl, createControl, createURIControl, dispose, doHandleEvent, getBrowseFileSystemButtonLabel, getBrowseWorkspaceButtonLabel, setURIText, supportMultipleURIs`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`getModelConverter, getNextPage, getPreviousPage, handleDiagnostic, handleDiagnostic, handleEvent, isHandlingEvent, pageActivated, pageDeactivated, setHandlingEvent`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizardPage
`canFlipToNextPage, getName, getNextPage, getPreviousPage, getWizard, setPreviousPage, setWizard`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### ModelExporterDirectoryURIPage

    public ModelExporterDirectoryURIPage(ModelExporter modelExporter,
                                         java.lang.String pageName)

Method Detail

### getModelExporter

    public ModelExporter getModelExporter()

  Specified by:
    `getModelExporter` in interface `IModelExporterPage`

### isPageComplete

    public boolean isPageComplete()

  Specified by:
    `isPageComplete` in interface `IWizardPage`
  Overrides:
    `isPageComplete` in class `ModelConverterPage`

### getURITextLabel

    protected java.lang.String getURITextLabel()

  Overrides:
    `getURITextLabel` in class `ModelConverterURIPage`

### getURITextInitialValue

    protected java.lang.String getURITextInitialValue()

  Overrides:
    `getURITextInitialValue` in class `ModelConverterURIPage`

### uriTextModified

    protected void uriTextModified(java.lang.String text)

  Overrides:
    `uriTextModified` in class `ModelConverterURIPage`

### browseFileSystem

    protected boolean browseFileSystem()

  Overrides:
    `browseFileSystem` in class `ModelConverterURIPage`

### browseWorkspace

    protected boolean browseWorkspace()

  Overrides:
    `browseWorkspace` in class `ModelConverterURIPage`

### setDirectory

    protected void setDirectory(java.lang.String directory,
                                boolean platformURI)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.